view mkinstalldirs @ 57221:18bdf278f148

(Fringes): Rewrite previous change. (Fringe Bitmaps): Merge text from Display Fringe Bitmaps. Rewrite. (Display Fringe Bitmaps): Node deleted, text moved. (Customizing Bitmaps): Split off from Fringe Bitmaps. Rewrite. (Scroll Bars): Clarify set-window-scroll-bars. (Pointer Shape): Rewrite. (Specified Space): Clarify :align-to, etc. (Pixel Specification): Use @var. Clarify new text. (Other Display Specs): Clarify `slice'. (Image Descriptors): Cleanups. (Showing Images): Cleanups.
author Richard M. Stallman <rms@gnu.org>
date Sat, 25 Sep 2004 07:18:08 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here